NX Open C++ Reference Guide
|
Represents line and arrow preferences
Created in NX4.0.0.
More...
Public Member Functions | |
bool | AssemblyCrosshatching () |
Returns the flag indicating whether PMI support for lightweight section view assembly crosshatching option is available Created in NX9.0.0. | |
bool | AssociativityForLightweightSectionViews () |
Returns the option indicating whether plane is associative for Lightweight Section Views Created in NX9.0.0. | |
bool | CreateViewIndependent () |
Returns the flag indicating whether the PMI would be created view independent Created in NX5.0.0. | |
double | CrosshatchAdjacencyTolerance () |
Returns the flag indicating whether PMI support for lightweight section view crosshatch adjacency tolerance is available Created in NX9.0.0. | |
double | CuttingPlaneSymbolArrowLength () |
Returns the cutting plane symbol arrow length Created in NX9.0.0. | |
NXOpen::NXColor * | CuttingPlaneSymbolColor () |
Returns the cutting plane symbol color Created in NX9.0.0. | |
NXString | CuttingPlaneSymbolSectionPrefix () |
Returns the section prefix for cutting plane symbol Created in NX9.0.0. | |
bool | CuttingPlaneSymbolShadedPlane () |
Returns the cutting plane symbol shaded plane option Created in NX9.0.0. | |
NXString | CuttingPlaneSymbolStartingLetter () |
Returns the starting letter for cutting plane symbol Created in NX9.0.0. | |
NXOpen::Annotations::CuttingPlaneSymbolBuilder::TextPlaneRelativeArrow | CuttingPlaneSymbolTextPlaneRelativeToArrow () |
Returns the orientation of the cutting plane symbol text plane with respect to arrow plane Created in NX9.0.0. | |
NXString | DatumLabel () |
Returns the initial letter for datum labels Created in NX4.0.0. | |
NXOpen::Annotations::PmiDefaultPlane | DefaultPlane () |
Returns the default annotation plane for PMI symbols Created in NX4.0.0. | |
bool | DisplayEffectivityFilterNodesInPartNavigator () |
Returns the flag indicating the display of Effectivity Filtered PMI node in Part Navigator Created in NX8.5.1. | |
bool | DisplayPmiAssociatedComponentsLoadedForReference () |
Returns the flag indicating PMI associated objects components loaded for reference Created in NX8.5.1. | |
NXOpen::Annotations::DisplayPmiEffectivityMethod | DisplayPmiEffectivityMethod () |
Returns the value indicating precise option of PMI Effectivity for prime geometry Created in NX8.5.1. | |
NXOpen::Annotations::DisplayPmiEffectivityMethod | DisplayPmiEffectivityReferenceMethod () |
Returns the value indicating precise option of PMI Effectivity for reference geometry Created in NX8.5.1. | |
bool | DisplayPmiQueryDialogFromMb3 () |
Returns the PMI query dialog visibility from mb3 option Created in NX8.5.0. | |
double | PmiRegionHeight () |
Returns the rectangular region height Created in NX6.0.0. | |
double | PmiRegionInnerDiameter () |
Returns the circular/annular region inner diameter Created in NX6.0.0. | |
double | PmiRegionOuterDiameter () |
Returns the circular/annular region outer diameter Created in NX6.0.0. | |
double | PmiRegionWidth () |
Returns the rectangular region width Created in NX6.0.0. | |
bool | PmiSupportForGeometrySharing () |
Returns the flag indicating whether PMI support for geometry sharing is available Created in NX8.5.0. | |
NXOpen::Annotations::PmiResizeMethod | ResizeMethod () |
Returns the resize method Created in NX8.0.0. | |
bool | ResizeOnCreate () |
Returns the flag indicating whether to resize on create Created in NX8.0.0. | |
bool | ResizeOnViewSave () |
Returns the flag indicating whether to resize on view save Created in NX8.0.0. | |
bool | RestrictCrosshatchAngle () |
Returns the flag indicating whether PMI support for lightweight section view restrict crosshatch angle option is available Created in NX9.0.0. | |
void | SetAssemblyCrosshatching (bool assemblyCrosshatching) |
Created in NX9.0.0. | |
void | SetAssociativityForLightweightSectionViews (bool associativityOptionForLightweightSectionViews) |
Created in NX9.0.0. | |
void | SetCreateViewIndependent (bool createViewIndependent) |
Sets the flag indicating whether the PMI would be created view independent Created in NX5.0.0. | |
void | SetCrosshatchAdjacencyTolerance (double crosshatchAdjacencyTolerance) |
Created in NX9.0.0. | |
void | SetCuttingPlaneSymbolArrowLength (double arrowLength) |
Sets the cutting plane symbol arrow length Created in NX9.0.0. | |
void | SetCuttingPlaneSymbolColor (NXOpen::NXColor *color) |
Sets the cutting plane symbol color Created in NX9.0.0. | |
void | SetCuttingPlaneSymbolSectionPrefix (const NXString §ionPrefix) |
Sets the section prefix for cutting plane symbol Created in NX9.0.0. | |
void | SetCuttingPlaneSymbolSectionPrefix (const char *sectionPrefix) |
Sets the section prefix for cutting plane symbol Created in NX9.0.0. | |
void | SetCuttingPlaneSymbolShadedPlane (bool shadedPlane) |
Sets the cutting plane symbol shaded plane option Created in NX9.0.0. | |
void | SetCuttingPlaneSymbolStartingLetter (const NXString &startingLetter) |
Sets the starting letter for cutting plane symbol Created in NX9.0.0. | |
void | SetCuttingPlaneSymbolStartingLetter (const char *startingLetter) |
Sets the starting letter for cutting plane symbol Created in NX9.0.0. | |
void | SetCuttingPlaneSymbolTextPlaneRelativeToArrow (NXOpen::Annotations::CuttingPlaneSymbolBuilder::TextPlaneRelativeArrow textPlaneRelativeArrow) |
Sets the orientation of the cutting plane symbol text plane with respect to arrow plane Created in NX9.0.0. | |
void | SetDatumLabel (const NXString &datumLabel) |
Sets the initial letter for datum labels Created in NX4.0.0. | |
void | SetDatumLabel (const char *datumLabel) |
Sets the initial letter for datum labels Created in NX4.0.0. | |
void | SetDefaultPlane (NXOpen::Annotations::PmiDefaultPlane defaultPlane) |
Sets the default annotation plane for PMI symbols Created in NX4.0.0. | |
void | SetDisplayEffectivityFilterNodesInPartNavigator (bool displayEffectivityFilterNodesInPartNavigator) |
Created in NX8.5.1. | |
void | SetDisplayPmiAssociatedComponentsLoadedForReference (bool displayPmiAssociatedComponentsLoadedForReference) |
Created in NX8.5.1. | |
void | SetDisplayPmiEffectivityMethod (NXOpen::Annotations::DisplayPmiEffectivityMethod displayPmiEffectivityMethod) |
Created in NX8.5.1. | |
void | SetDisplayPmiEffectivityReferenceMethod (NXOpen::Annotations::DisplayPmiEffectivityMethod displayPmiEffectivityReferenceMethod) |
Created in NX8.5.1. | |
void | SetDisplayPmiQueryDialogFromMb3 (bool withDialog) |
Sets the PMI query dialog visibility from mb3 option Created in NX8.5.0. | |
void | SetPmiRegionHeight (double height) |
Sets the rectangular region height Created in NX6.0.0. | |
void | SetPmiRegionInnerDiameter (double innerDiameter) |
Sets the circular/annular region inner diameter Created in NX6.0.0. | |
void | SetPmiRegionOuterDiameter (double outerDiameter) |
Sets the circular/annular region outer diameter Created in NX6.0.0. | |
void | SetPmiRegionWidth (double width) |
Sets the rectangular region width Created in NX6.0.0. | |
void | SetPmiSupportForGeometrySharing (bool pmiSupportForGeomSharing) |
Created in NX8.5.0. | |
void | SetResizeMethod (NXOpen::Annotations::PmiResizeMethod resizeMethod) |
Created in NX8.0.0. | |
void | SetResizeOnCreate (bool resizeOnCreate) |
Created in NX8.0.0. | |
void | SetResizeOnViewSave (bool resizeOnViewSave) |
Created in NX8.0.0. | |
void | SetRestrictCrosshatchAngle (bool restrictCrosshatchAngle) |
Created in NX9.0.0. | |
void | SetShadedDisplay (bool shadedDisplay) |
Created in NX4.0.0. | |
bool | ShadedDisplay () |
Returns the toggle for display through shaded models Created in NX4.0.0. | |
virtual | ~PmiPreferences () |
Frees the object from memory. | |
![]() | |
void * | GetHandle () |
Handle of the internal object represented by this object. | |
Represents line and arrow preferences
Created in NX4.0.0.
|
virtual |
Frees the object from memory.
After this method is called, it is illegal to use the object. In .NET, this method is automatically called when the object is deleted by the garbage collector.
Created in NX4.0.0.
License requirements : None
bool NXOpen::Annotations::PmiPreferences::AssemblyCrosshatching | ( | ) |
Returns the flag indicating whether PMI support for lightweight section view assembly crosshatching option is available
Created in NX9.0.0.
License requirements : None
bool NXOpen::Annotations::PmiPreferences::AssociativityForLightweightSectionViews | ( | ) |
Returns the option indicating whether plane is associative for Lightweight Section Views
Created in NX9.0.0.
License requirements : None
bool NXOpen::Annotations::PmiPreferences::CreateViewIndependent | ( | ) |
Returns the flag indicating whether the PMI would be created view independent
Created in NX5.0.0.
License requirements : None
double NXOpen::Annotations::PmiPreferences::CrosshatchAdjacencyTolerance | ( | ) |
Returns the flag indicating whether PMI support for lightweight section view crosshatch adjacency tolerance is available
Created in NX9.0.0.
License requirements : None
double NXOpen::Annotations::PmiPreferences::CuttingPlaneSymbolArrowLength | ( | ) |
Returns the cutting plane symbol arrow length
Created in NX9.0.0.
License requirements : None
NXOpen::NXColor* NXOpen::Annotations::PmiPreferences::CuttingPlaneSymbolColor | ( | ) |
Returns the cutting plane symbol color
Created in NX9.0.0.
License requirements : None
NXString NXOpen::Annotations::PmiPreferences::CuttingPlaneSymbolSectionPrefix | ( | ) |
Returns the section prefix for cutting plane symbol
Created in NX9.0.0.
License requirements : None
bool NXOpen::Annotations::PmiPreferences::CuttingPlaneSymbolShadedPlane | ( | ) |
Returns the cutting plane symbol shaded plane option
Created in NX9.0.0.
License requirements : None
NXString NXOpen::Annotations::PmiPreferences::CuttingPlaneSymbolStartingLetter | ( | ) |
Returns the starting letter for cutting plane symbol
Created in NX9.0.0.
License requirements : None
NXOpen::Annotations::CuttingPlaneSymbolBuilder::TextPlaneRelativeArrow NXOpen::Annotations::PmiPreferences::CuttingPlaneSymbolTextPlaneRelativeToArrow | ( | ) |
Returns the orientation of the cutting plane symbol text plane with respect to arrow plane
Created in NX9.0.0.
License requirements : None
NXString NXOpen::Annotations::PmiPreferences::DatumLabel | ( | ) |
Returns the initial letter for datum labels
Created in NX4.0.0.
License requirements : None
NXOpen::Annotations::PmiDefaultPlane NXOpen::Annotations::PmiPreferences::DefaultPlane | ( | ) |
Returns the default annotation plane for PMI symbols
Created in NX4.0.0.
License requirements : None
bool NXOpen::Annotations::PmiPreferences::DisplayEffectivityFilterNodesInPartNavigator | ( | ) |
Returns the flag indicating the display of Effectivity Filtered PMI node in Part Navigator
Created in NX8.5.1.
License requirements : None
bool NXOpen::Annotations::PmiPreferences::DisplayPmiAssociatedComponentsLoadedForReference | ( | ) |
Returns the flag indicating PMI associated objects components loaded for reference
Created in NX8.5.1.
License requirements : None
NXOpen::Annotations::DisplayPmiEffectivityMethod NXOpen::Annotations::PmiPreferences::DisplayPmiEffectivityMethod | ( | ) |
Returns the value indicating precise option of PMI Effectivity for prime geometry
Created in NX8.5.1.
License requirements : None
NXOpen::Annotations::DisplayPmiEffectivityMethod NXOpen::Annotations::PmiPreferences::DisplayPmiEffectivityReferenceMethod | ( | ) |
Returns the value indicating precise option of PMI Effectivity for reference geometry
Created in NX8.5.1.
License requirements : None
bool NXOpen::Annotations::PmiPreferences::DisplayPmiQueryDialogFromMb3 | ( | ) |
Returns the PMI query dialog visibility from mb3 option
Created in NX8.5.0.
License requirements : None
double NXOpen::Annotations::PmiPreferences::PmiRegionHeight | ( | ) |
Returns the rectangular region height
Created in NX6.0.0.
License requirements : None
double NXOpen::Annotations::PmiPreferences::PmiRegionInnerDiameter | ( | ) |
Returns the circular/annular region inner diameter
Created in NX6.0.0.
License requirements : None
double NXOpen::Annotations::PmiPreferences::PmiRegionOuterDiameter | ( | ) |
Returns the circular/annular region outer diameter
Created in NX6.0.0.
License requirements : None
double NXOpen::Annotations::PmiPreferences::PmiRegionWidth | ( | ) |
Returns the rectangular region width
Created in NX6.0.0.
License requirements : None
bool NXOpen::Annotations::PmiPreferences::PmiSupportForGeometrySharing | ( | ) |
Returns the flag indicating whether PMI support for geometry sharing is available
Created in NX8.5.0.
License requirements : None
NXOpen::Annotations::PmiResizeMethod NXOpen::Annotations::PmiPreferences::ResizeMethod | ( | ) |
Returns the resize method
Created in NX8.0.0.
License requirements : None
bool NXOpen::Annotations::PmiPreferences::ResizeOnCreate | ( | ) |
Returns the flag indicating whether to resize on create
Created in NX8.0.0.
License requirements : None
bool NXOpen::Annotations::PmiPreferences::ResizeOnViewSave | ( | ) |
Returns the flag indicating whether to resize on view save
Created in NX8.0.0.
License requirements : None
bool NXOpen::Annotations::PmiPreferences::RestrictCrosshatchAngle | ( | ) |
Returns the flag indicating whether PMI support for lightweight section view restrict crosshatch angle option is available
Created in NX9.0.0.
License requirements : None
void NXOpen::Annotations::PmiPreferences::SetAssemblyCrosshatching | ( | bool | assemblyCrosshatching | ) |
Created in NX9.0.0.
License requirements : None
assemblyCrosshatching | assemblycrosshatching |
void NXOpen::Annotations::PmiPreferences::SetAssociativityForLightweightSectionViews | ( | bool | associativityOptionForLightweightSectionViews | ) |
Created in NX9.0.0.
License requirements : None
associativityOptionForLightweightSectionViews | associativityoptionforlightweightsectionviews |
void NXOpen::Annotations::PmiPreferences::SetCreateViewIndependent | ( | bool | createViewIndependent | ) |
Sets the flag indicating whether the PMI would be created view independent
Created in NX5.0.0.
License requirements : None
createViewIndependent | create view independent |
void NXOpen::Annotations::PmiPreferences::SetCrosshatchAdjacencyTolerance | ( | double | crosshatchAdjacencyTolerance | ) |
Created in NX9.0.0.
License requirements : None
crosshatchAdjacencyTolerance | crosshatchadjacencytolerance |
void NXOpen::Annotations::PmiPreferences::SetCuttingPlaneSymbolArrowLength | ( | double | arrowLength | ) |
Sets the cutting plane symbol arrow length
Created in NX9.0.0.
License requirements : None
arrowLength | arrowlength |
void NXOpen::Annotations::PmiPreferences::SetCuttingPlaneSymbolColor | ( | NXOpen::NXColor * | color | ) |
Sets the cutting plane symbol color
Created in NX9.0.0.
License requirements : None
color | color |
void NXOpen::Annotations::PmiPreferences::SetCuttingPlaneSymbolSectionPrefix | ( | const NXString & | sectionPrefix | ) |
Sets the section prefix for cutting plane symbol
Created in NX9.0.0.
License requirements : None
sectionPrefix | sectionprefix |
void NXOpen::Annotations::PmiPreferences::SetCuttingPlaneSymbolSectionPrefix | ( | const char * | sectionPrefix | ) |
Sets the section prefix for cutting plane symbol
Created in NX9.0.0.
License requirements : None
sectionPrefix | sectionprefix |
void NXOpen::Annotations::PmiPreferences::SetCuttingPlaneSymbolShadedPlane | ( | bool | shadedPlane | ) |
Sets the cutting plane symbol shaded plane option
Created in NX9.0.0.
License requirements : None
shadedPlane | shadedplane |
void NXOpen::Annotations::PmiPreferences::SetCuttingPlaneSymbolStartingLetter | ( | const NXString & | startingLetter | ) |
Sets the starting letter for cutting plane symbol
Created in NX9.0.0.
License requirements : None
startingLetter | startingletter |
void NXOpen::Annotations::PmiPreferences::SetCuttingPlaneSymbolStartingLetter | ( | const char * | startingLetter | ) |
Sets the starting letter for cutting plane symbol
Created in NX9.0.0.
License requirements : None
startingLetter | startingletter |
void NXOpen::Annotations::PmiPreferences::SetCuttingPlaneSymbolTextPlaneRelativeToArrow | ( | NXOpen::Annotations::CuttingPlaneSymbolBuilder::TextPlaneRelativeArrow | textPlaneRelativeArrow | ) |
Sets the orientation of the cutting plane symbol text plane with respect to arrow plane
Created in NX9.0.0.
License requirements : None
textPlaneRelativeArrow | textplanerelativearrow |
void NXOpen::Annotations::PmiPreferences::SetDatumLabel | ( | const NXString & | datumLabel | ) |
Sets the initial letter for datum labels
Created in NX4.0.0.
License requirements : None
datumLabel | datum label |
void NXOpen::Annotations::PmiPreferences::SetDatumLabel | ( | const char * | datumLabel | ) |
Sets the initial letter for datum labels
Created in NX4.0.0.
License requirements : None
datumLabel | datum label |
void NXOpen::Annotations::PmiPreferences::SetDefaultPlane | ( | NXOpen::Annotations::PmiDefaultPlane | defaultPlane | ) |
Sets the default annotation plane for PMI symbols
Created in NX4.0.0.
License requirements : None
defaultPlane | default plane |
void NXOpen::Annotations::PmiPreferences::SetDisplayEffectivityFilterNodesInPartNavigator | ( | bool | displayEffectivityFilterNodesInPartNavigator | ) |
Created in NX8.5.1.
License requirements : nx_pmi_effectivity ("NX PMI EFFECTIVITY")
displayEffectivityFilterNodesInPartNavigator | display effectivity filter nodes in part navigator |
void NXOpen::Annotations::PmiPreferences::SetDisplayPmiAssociatedComponentsLoadedForReference | ( | bool | displayPmiAssociatedComponentsLoadedForReference | ) |
Created in NX8.5.1.
License requirements : nx_pmi_effectivity ("NX PMI EFFECTIVITY")
displayPmiAssociatedComponentsLoadedForReference | display pmi associated components loaded for reference |
void NXOpen::Annotations::PmiPreferences::SetDisplayPmiEffectivityMethod | ( | NXOpen::Annotations::DisplayPmiEffectivityMethod | displayPmiEffectivityMethod | ) |
Created in NX8.5.1.
License requirements : nx_pmi_effectivity ("NX PMI EFFECTIVITY")
displayPmiEffectivityMethod | display pmi effectivity method |
void NXOpen::Annotations::PmiPreferences::SetDisplayPmiEffectivityReferenceMethod | ( | NXOpen::Annotations::DisplayPmiEffectivityMethod | displayPmiEffectivityReferenceMethod | ) |
Created in NX8.5.1.
License requirements : nx_pmi_effectivity ("NX PMI EFFECTIVITY")
displayPmiEffectivityReferenceMethod | display pmi effectivity reference method |
void NXOpen::Annotations::PmiPreferences::SetDisplayPmiQueryDialogFromMb3 | ( | bool | withDialog | ) |
Sets the PMI query dialog visibility from mb3 option
Created in NX8.5.0.
License requirements : None
withDialog | withdialog |
void NXOpen::Annotations::PmiPreferences::SetPmiRegionHeight | ( | double | height | ) |
Sets the rectangular region height
Created in NX6.0.0.
License requirements : None
height | height |
void NXOpen::Annotations::PmiPreferences::SetPmiRegionInnerDiameter | ( | double | innerDiameter | ) |
Sets the circular/annular region inner diameter
Created in NX6.0.0.
License requirements : None
innerDiameter | inner diameter |
void NXOpen::Annotations::PmiPreferences::SetPmiRegionOuterDiameter | ( | double | outerDiameter | ) |
Sets the circular/annular region outer diameter
Created in NX6.0.0.
License requirements : None
outerDiameter | outer diameter |
void NXOpen::Annotations::PmiPreferences::SetPmiRegionWidth | ( | double | width | ) |
Sets the rectangular region width
Created in NX6.0.0.
License requirements : None
width | width |
void NXOpen::Annotations::PmiPreferences::SetPmiSupportForGeometrySharing | ( | bool | pmiSupportForGeomSharing | ) |
Created in NX8.5.0.
License requirements : None
pmiSupportForGeomSharing | pmi support for geom sharing |
void NXOpen::Annotations::PmiPreferences::SetResizeMethod | ( | NXOpen::Annotations::PmiResizeMethod | resizeMethod | ) |
Created in NX8.0.0.
License requirements : None
resizeMethod | resize method |
void NXOpen::Annotations::PmiPreferences::SetResizeOnCreate | ( | bool | resizeOnCreate | ) |
Created in NX8.0.0.
License requirements : None
resizeOnCreate | resize on create |
void NXOpen::Annotations::PmiPreferences::SetResizeOnViewSave | ( | bool | resizeOnViewSave | ) |
Created in NX8.0.0.
License requirements : None
resizeOnViewSave | resize on view save |
void NXOpen::Annotations::PmiPreferences::SetRestrictCrosshatchAngle | ( | bool | restrictCrosshatchAngle | ) |
Created in NX9.0.0.
License requirements : None
restrictCrosshatchAngle | restrictcrosshatchangle |
void NXOpen::Annotations::PmiPreferences::SetShadedDisplay | ( | bool | shadedDisplay | ) |
Created in NX4.0.0.
License requirements : None
shadedDisplay | shaded display |
bool NXOpen::Annotations::PmiPreferences::ShadedDisplay | ( | ) |
Returns the toggle for display through shaded models
Created in NX4.0.0.
License requirements : None